gdcm::Element< TVR, VM::VM1_n > Class Template Reference

`#include <gdcmElement.h>`

Inheritance diagram for gdcm::Element< TVR, VM::VM1_n >:
[legend]
Collaboration diagram for gdcm::Element< TVR, VM::VM1_n >:
[legend]

## Public Types

typedef VRToType< TVR >::Type | Type

## Public Member Functions

| Element ()
| Element (const Element &_val)
| ~Element ()
DataElement | GetAsDataElement () const
unsigned long | GetLength () const
VRToType< TVR >::Type & | GetValue (unsigned int idx=0)
const VRToType< TVR >::Type & | GetValue (unsigned int idx=0) const
const VRToType< TVR >::Type * | GetValues () const
Element & | operator= (const Element &_val)
VRToType< TVR >::Type | operator[] (unsigned int idx) const
void | Print (std::ostream &_os) const
void | Read (std::istream &_is)
void | Set (Value const &v)
void | SetArray (const Type *array, unsigned long len, bool save=false)
void | SetFromDataElement (DataElement const &de)
void | SetLength (unsigned long len)
void | SetValue (typename VRToType< TVR >::Type v, unsigned int idx=0)
void | Write (std::ostream &_os) const
void | WriteASCII (std::ostream &os) const

## Static Public Member Functions

static VM | GetVM ()
static VR | GetVR ()

## Protected Member Functions

void | SetNoSwap (Value const &v)

## Member Typedef Documentation

## Type

template<long long TVR>

typedef VRToType<TVR>::Type gdcm::Element< TVR, VM::VM1_n >::Type

## Constructor & Destructor Documentation

## Element() [1/2]

template<long long TVR>

gdcm::Element< TVR, VM::VM1_n >::Element | ( |  | ) |

inline explicit

Referenced by Element(), and operator=().

## ~Element()

template<long long TVR>

gdcm::Element< TVR, VM::VM1_n >::~Element | ( |  | ) |

inline

## Element() [2/2]

template<long long TVR>

gdcm::Element< TVR, VM::VM1_n >::Element | ( | const Element< TVR, VM::VM1_n > & | _val | ) |

inline

References Element().

## Member Function Documentation

## GetAsDataElement()

template<long long TVR>

DataElement gdcm::Element< TVR, VM::VM1_n >::GetAsDataElement | ( |  | ) | const

inline

References GetLength(), gdcm::DataElement::GetVR(), GetVR(), gdcm::DataElement::SetByteValue(), gdcm::DataElement::SetVR(), gdcm::VR::SQ, gdcm::VR::UI, gdcm::VR::VRASCII, and Write().

## GetLength()

template<long long TVR>

unsigned long gdcm::Element< TVR, VM::VM1_n >::GetLength | ( |  | ) | const

inline

Referenced by GetAsDataElement(), Print(), Read(), Set(), SetNoSwap(), Write(), and WriteASCII().

## GetValue() [1/2]

template<long long TVR>

VRToType< TVR >::Type & gdcm::Element< TVR, VM::VM1_n >::GetValue | ( | unsigned int | idx = 0 | ) |

inline

## GetValue() [2/2]

template<long long TVR>

const VRToType< TVR >::Type & gdcm::Element< TVR, VM::VM1_n >::GetValue | ( | unsigned int | idx = 0 | ) | const

inline

Referenced by operator[]().

## GetValues()

const VRToType< TVR >::Type * gdcm::Element< TVR, TVM >::GetValues | ( |  | ) | const

inline

## GetVM()

template<long long TVR>

VM gdcm::Element< TVR, VM::VM1_n >::GetVM | ( |  | ) |

inline static

References gdcm::VM::VM1_n.

## GetVR()

template<long long TVR>

VR gdcm::Element< TVR, VM::VM1_n >::GetVR | ( |  | ) |

inline static

Referenced by GetAsDataElement().

## operator=()

template<long long TVR>

Element & gdcm::Element< TVR, VM::VM1_n >::operator= | ( | const Element< TVR, VM::VM1_n > & | _val | ) |

inline

References Element(), and SetArray().

## operator[]()

template<long long TVR>

VRToType< TVR >::Type gdcm::Element< TVR, VM::VM1_n >::operator[] | ( | unsigned int | idx | ) | const

inline

References GetValue().

## Print()

template<long long TVR>

void gdcm::Element< TVR, VM::VM1_n >::Print | ( | std::ostream & | _os | ) | const

inline

References GetLength().

## Read()

template<long long TVR>

void gdcm::Element< TVR, VM::VM1_n >::Read | ( | std::istream & | _is | ) |

inline

References GetLength(), and Read().

Referenced by Read(), and Set().

## Set()

template<long long TVR>

void gdcm::Element< TVR, VM::VM1_n >::Set | ( | Value const & | v | ) |

inline

References gdcm::ByteValue::GetLength(), GetLength(), gdcm::ByteValue::GetPointer(), gdcm::ByteValue::GetVoidPointer(), Read(), SetArray(), and gdcm::VR::VRBINARY.

Referenced by SetFromDataElement().

## SetArray()

template<long long TVR>

void gdcm::Element< TVR, VM::VM1_n >::SetArray | ( | const Type * | array,
|  | unsigned long | len,
|  | bool | save = false )

inline

References SetLength().

Referenced by operator=(), Set(), and SetNoSwap().

## SetFromDataElement()

template<long long TVR>

void gdcm::Element< TVR, VM::VM1_n >::SetFromDataElement | ( | DataElement< TVR, VM::VM1_n > const & | de | ) |

inline

References gdcm::DataElement::GetByteValue(), gdcm::DataElement::GetValue(), gdcm::DataElement::GetVR(), gdcm::VR::INVALID, Set(), SetNoSwap(), and gdcm::VR::UN.

## SetLength()

template<long long TVR>

void gdcm::Element< TVR, VM::VM1_n >::SetLength | ( | unsigned long | len | ) |

inline

Referenced by SetArray(), gdcm::Element< TVR, VM::VM1_2 >::SetLength(), gdcm::Element< TVR, VM::VM2_n >::SetLength(), gdcm::Element< TVR, VM::VM3_4 >::SetLength(), and gdcm::Element< TVR, VM::VM3_n >::SetLength().

## SetNoSwap()

template<long long TVR>

void gdcm::Element< TVR, VM::VM1_n >::SetNoSwap | ( | Value const & | v | ) |

inline protected

References gdcm::ByteValue::GetLength(), GetLength(), gdcm::ByteValue::GetPointer(), SetArray(), and gdcm::VR::VRBINARY.

Referenced by SetFromDataElement().

## SetValue()

template<long long TVR>

void gdcm::Element< TVR, VM::VM1_n >::SetValue | ( | typename VRToType< TVR >::Type | v,
|  | unsigned int | idx = 0 )

inline

## Write()

template<long long TVR>

void gdcm::Element< TVR, VM::VM1_n >::Write | ( | std::ostream & | _os | ) | const

inline

References GetLength(), and Write().

Referenced by GetAsDataElement(), and Write().

## WriteASCII()

template<long long TVR>

void gdcm::Element< TVR, VM::VM1_n >::WriteASCII | ( | std::ostream & | os | ) | const

inline

References GetLength().

The documentation for this class was generated from the following file:

- gdcmElement.h